//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.7 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2018.01.18 at 08:34:08 PM CET 
//


package com.mk;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.mk package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.mk
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetTransactionsRequest }
     * 
     */
    public GetTransactionsRequest createGetTransactionsRequest() {
        return new GetTransactionsRequest();
    }

    /**
     * Create an instance of {@link CashWithdrawalRequest }
     * 
     */
    public CashWithdrawalRequest createCashWithdrawalRequest() {
        return new CashWithdrawalRequest();
    }

    /**
     * Create an instance of {@link CashModel }
     * 
     */
    public CashModel createCashModel() {
        return new CashModel();
    }

    /**
     * Create an instance of {@link LoginResponse }
     * 
     */
    public LoginResponse createLoginResponse() {
        return new LoginResponse();
    }

    /**
     * Create an instance of {@link Client }
     * 
     */
    public Client createClient() {
        return new Client();
    }

    /**
     * Create an instance of {@link LoginRequest }
     * 
     */
    public LoginRequest createLoginRequest() {
        return new LoginRequest();
    }

    /**
     * Create an instance of {@link Login }
     * 
     */
    public Login createLogin() {
        return new Login();
    }

    /**
     * Create an instance of {@link GetAccountsResponse }
     * 
     */
    public GetAccountsResponse createGetAccountsResponse() {
        return new GetAccountsResponse();
    }

    /**
     * Create an instance of {@link Account }
     * 
     */
    public Account createAccount() {
        return new Account();
    }

    /**
     * Create an instance of {@link TopUpResponse }
     * 
     */
    public TopUpResponse createTopUpResponse() {
        return new TopUpResponse();
    }

    /**
     * Create an instance of {@link Transaction }
     * 
     */
    public Transaction createTransaction() {
        return new Transaction();
    }

    /**
     * Create an instance of {@link AddAccountRequest }
     * 
     */
    public AddAccountRequest createAddAccountRequest() {
        return new AddAccountRequest();
    }

    /**
     * Create an instance of {@link RegisterClientRequest }
     * 
     */
    public RegisterClientRequest createRegisterClientRequest() {
        return new RegisterClientRequest();
    }

    /**
     * Create an instance of {@link GetAccountsRequest }
     * 
     */
    public GetAccountsRequest createGetAccountsRequest() {
        return new GetAccountsRequest();
    }

    /**
     * Create an instance of {@link TopUpRequest }
     * 
     */
    public TopUpRequest createTopUpRequest() {
        return new TopUpRequest();
    }

    /**
     * Create an instance of {@link TransferRequest }
     * 
     */
    public TransferRequest createTransferRequest() {
        return new TransferRequest();
    }

    /**
     * Create an instance of {@link TransferModel }
     * 
     */
    public TransferModel createTransferModel() {
        return new TransferModel();
    }

    /**
     * Create an instance of {@link CashWithdrawalResponse }
     * 
     */
    public CashWithdrawalResponse createCashWithdrawalResponse() {
        return new CashWithdrawalResponse();
    }

    /**
     * Create an instance of {@link TransferResponse }
     * 
     */
    public TransferResponse createTransferResponse() {
        return new TransferResponse();
    }

    /**
     * Create an instance of {@link GetTransactionsResponse }
     * 
     */
    public GetTransactionsResponse createGetTransactionsResponse() {
        return new GetTransactionsResponse();
    }

    /**
     * Create an instance of {@link RegisterClientResponse }
     * 
     */
    public RegisterClientResponse createRegisterClientResponse() {
        return new RegisterClientResponse();
    }

    /**
     * Create an instance of {@link AddAccountResponse }
     * 
     */
    public AddAccountResponse createAddAccountResponse() {
        return new AddAccountResponse();
    }

    /**
     * Create an instance of {@link Fault }
     * 
     */
    public Fault createFault() {
        return new Fault();
    }

    /**
     * Create an instance of {@link Faults }
     * 
     */
    public Faults createFaults() {
        return new Faults();
    }

}
